Package Base Details: lib32-ffmpeg

Git Clone URL: https://aur.archlinux.org/lib32-ffmpeg.git (read-only, click to copy)
Submitter: lano1106
Maintainer: oxalin
Last Packager: oxalin
Votes: 30
Popularity: 0.92
First Submitted: 2013-05-18 04:43
Last Updated: 2021-01-27 18:19

Pinned Comments

oxalin commented on 2018-02-25 07:37

About GPG, it is up to you to import the missing public key. If you receive an error about it, this is ffmpeg's project public key. Something like the following should do the trick: gpg --recv-keys B4322F04D67658D8

Latest Comments

« First ‹ Previous ... 7 8 9 10 11 12

JonnyJD commented on 2015-06-23 22:17

Is there any documentation what the purpose of these keywords is?
I this similar to a "tag" or only a "search hint"?

I found this keyword on many packages, not sure who started this.
Yes, it doesn't help finding the package with a search so it is useless as a "search hint".
It does add a direkt link to a search for "lib32" and it would (theoretical) be possible to list only packages specifying the "lib32" keyward/tag.

Det commented on 2015-06-23 22:10

Why "lib32" as a keyword? It's already included in the name.

JonnyJD commented on 2015-06-23 13:03

FYI:
lib32-libx264 is provided by https://aur4.archlinux.org/packages/lib32-libx264-stable-git/

JonnyJD commented on 2014-10-22 11:02

Okay, I adopted. Although I am also not a permanent user. I needed it for testing a 32 bit https://aur.archlinux.org/packages/essentia-acousticbrainz/ build.

I fixed some more dependencies with the help of namcap. Should be alright now. I built without some features that are enabled in the 64 bit build. These are:
libopencore_amrnb, libopencore_amrwb, libopenjpeg, libspeex, libvpx, libx265
Some don't have lib32 packages yet, some have other big dependencies (making it more difficult to build this package).

The PKGBUILD is also versioned now in https://github.com/JonnyJD/PKGBUILDs/blob/master/lib32-ffmpeg/PKGBUILD (including the previous-maintainers version)
I'll delete the gist.

PS:
lib32-libx264 was fixed to not depend on lib32-ffmpeg.

lano1106 commented on 2014-10-22 02:24

JonnyJD, very nice work! I do not need lib32-ffmpeg anymore hence I think someone else would make a better maintainer than myself.

Please take the responsability if you feel up to the challenge!

Have fun!

JonnyJD commented on 2014-10-21 17:49

FYI:
It mostly works just updating the PKGBUILD with the current ffmpeg PKGBUILD (2.4.2). I only disabled some things where finding/building the dependencies wasn't easy. I update the depends for what I had to install additionally. There might be something missing, but I didn't want to add things that might not be needed.

lib32-libx264 says it depends on lib32-ffmpeg. I doubt that. ffmpeg needs x264.

The resulting PKGBUILD is here:
https://gist.github.com/JonnyJD/da753b955f22524e1394

smls commented on 2014-08-25 14:29

Steam wants libavformat.so.55, but this package only provides the older libavformat.so.54

lano1106 commented on 2013-05-18 04:45

Very minimalist lib32 build of ffmpeg only containing AC3 encoder.
I have done this slim build to be able to recompile lib32-alsa-plugins with a52 plugin to be able to get 5.1 sounds from steam.